# before_script:
# - python -V # Print out python version for debugging
# - pip install --no-cache-dir -r services/quotes/requirements.txt 

stages:
- test-lint
- test-unit
- deploy

pylint:
    stage: test-lint
    image: python:3-alpine3.8
    script:
    - echo "Running lint test using Pylint"
    - python -V # Print out python version for debugging
    - pip install --no-cache-dir -r services/quotes/requirements.txt 
    - pylint --errors-only services/quotes/*.py

pytest:
    stage: test-unit
    image: python:3-alpine3.8
    script:
    - echo "Running unit test using Pytest"
    - python -V # Print out python version for debugging
    - pip install --no-cache-dir -r services/quotes/requirements.txt 
    - pytest services/quotes/

deploy-production:
    stage: deploy
    script: 
    - echo "[INSERT DEPLOY SCRIPT HERE]"
    - echo "chalice deploy..."
